Index: vendors/AGRIF/CMEMS_2020/AGRIF_FILES/modtypes.F90
===================================================================
--- vendors/AGRIF/CMEMS_2020/AGRIF_FILES/modtypes.F90	(revision 10083)
+++ vendors/AGRIF/CMEMS_2020/AGRIF_FILES/modtypes.F90	(revision 10087)
@@ -109,4 +109,31 @@
     real(4), dimension(:,:,:,:,:,:), allocatable :: sarray6
 !> @}
+!> \name Arrays containing the values of the grid variables (real)
+!> @{
+    real,    dimension(:)          , pointer :: parray1
+    real,    dimension(:,:)        , pointer :: parray2
+    real,    dimension(:,:,:)      , pointer :: parray3
+    real,    dimension(:,:,:,:)    , pointer :: parray4
+    real,    dimension(:,:,:,:,:)  , pointer :: parray5
+    real,    dimension(:,:,:,:,:,:), pointer :: parray6
+!> @}
+!> \name Arrays containing the values of the grid variables (real*8)
+!> @{
+    real(8), dimension(:)          , pointer :: pdarray1
+    real(8), dimension(:,:)        , pointer :: pdarray2
+    real(8), dimension(:,:,:)      , pointer :: pdarray3
+    real(8), dimension(:,:,:,:)    , pointer :: pdarray4
+    real(8), dimension(:,:,:,:,:)  , pointer :: pdarray5
+    real(8), dimension(:,:,:,:,:,:), pointer :: pdarray6
+!> @}
+!> \name Arrays containing the values of the grid variables (real*4)
+!> @{
+    real(4), dimension(:)          , pointer :: psarray1
+    real(4), dimension(:,:)        , pointer :: psarray2
+    real(4), dimension(:,:,:)      , pointer :: psarray3
+    real(4), dimension(:,:,:,:)    , pointer :: psarray4
+    real(4), dimension(:,:,:,:,:)  , pointer :: psarray5
+    real(4), dimension(:,:,:,:,:,:), pointer :: psarray6
+!> @}
 !> \name Arrays used to restore the values
 !> @{
@@ -132,4 +159,6 @@
     integer, dimension(6)   :: ub
 
+    integer, dimension(6,2) :: lubglob
+
     logical,dimension(6,2) :: memberin
     integer,dimension(6,2,2,6,2) :: childarray
@@ -153,7 +182,7 @@
 !> \name Arrays containing the values of the grid variables (character)
 !> @{
-    character(2400)                             :: carray0
-    character(200), dimension(:)  , allocatable :: carray1
-    character(200), dimension(:,:), allocatable :: carray2
+    character(4000)                             :: carray0
+    character(400), dimension(:)  , allocatable :: carray1
+    character(400), dimension(:,:), allocatable :: carray2
 !> @}
 !---------------------------------------------------------------------------------------------------
@@ -218,5 +247,5 @@
 !> \name Arrays containing the values of the grid variables (logical)
 !> @{
-    logical                                      :: larray0
+    logical                                      :: larray0 = .FALSE.
     logical, dimension(:)          , allocatable :: larray1
     logical, dimension(:,:)        , allocatable :: larray2
@@ -242,5 +271,5 @@
 !> \name Arrays containing the values of the grid variables (integer)
 !> @{
-    integer                                      :: iarray0
+    integer                                      :: iarray0 = 0
     integer, dimension(:)          , allocatable :: iarray1
     integer, dimension(:,:)        , allocatable :: iarray2
@@ -259,4 +288,5 @@
     integer,dimension(6)              :: pttab, petab, pttab_Child, pttab_Parent = -99
     integer,dimension(6)              :: indmin, indmax
+    integer,dimension(6)              :: indmin_required_p, indmax_required_p
     integer,dimension(6)              :: pttruetab,cetruetab
     logical :: member, memberin
@@ -324,5 +354,5 @@
     real                  :: Agrif_Efficiency = 0.7
     integer               :: MaxSearch = 5
-    real, dimension(3)    :: Agrif_mind
+    real(kind=8), dimension(3)    :: Agrif_mind
 !> @}
 !> \name parameters for the interpolation of the child grids
@@ -388,5 +418,5 @@
 integer function Agrif_Ceiling ( x )
 !---------------------------------------------------------------------------------------------------
-    real,   intent(in) :: x
+    real(kind=8),intent(in) :: x
 !
     integer   :: i
@@ -408,5 +438,5 @@
     integer function Agrif_Int(x)
 !---------------------------------------------------------------------------------------------------
-    real,   intent(in) :: x
+    real(kind=8),intent(in) :: x
 !
     integer :: i
